#
# spec file for package libx86emu
# as found at http://download.opensuse.org/factory/repo/src-oss/suse/src/
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# ExclusiveArch:  %ix86 x86_64

Name:           libx86emu
BuildRequires:  xz
Summary:        A small x86 emulation library.
License:        BSD
Group:          System/Libraries
Version:        1.11
Release:        1.3%{?dist}.1sunshine
PreReq:         /sbin/ldconfig
Source:         %{name}-%{version}.tar.xz
Url:            https://github.com/wfeldt/libx86emu
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Small x86 emulation library with focus of easy usage and extended
execution logging functions.



Authors:
--------
    Steffen Winterfeldt

%package -n     %{name}-devel
Summary:        A small x86 emulation library.
Group:          System/Libraries
Requires:       %{name} = %version

%description -n %{name}-devel
Small x86 emulation library with focus of easy usage and extended
execution logging functions.



Authors:
--------
    Steffen Winterfeldt

%prep
%setup -q

%build
make LIBDIR=%{_libdir} CFLAGS="%{optflags} -fPIC"

%install
install -d -m 755 %{buildroot}%{_libdir}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc README.md LICENSE

%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/x86emu.h

%changelog
* Sat Feb 18 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.11-1.3.1sunshine
- adapt for Fedora

* Wed Jun 22 2016 snwint@suse.com
- Add tests for retn/retf instructions
- Small compatibility fixes for msvc compiler
- 1.11
* Tue Apr  5 2016 snwint@suse.com
- add tests for rol/ror instructions
- rewrite rol/ror implementation to be more readable and to fix overflow flag setting
- 1.10
* Tue Apr  5 2016 snwint@suse.com
- build on more archs
- 1.9
* Tue Apr  5 2016 snwint@suse.com
- Fixed some small bugs
- Fixed "RET imm" instructions
- 1.8
* Wed Mar 16 2016 snwint@suse.com
- build on more archs
- 1.7
* Tue Oct 13 2015 snwint@suse.com
- Add what's libx86emu useful for
- Add documentation about how the project is sent to the distribution
- Convert README to Markdown
- 1.6
* Mon Mar  2 2015 snwint@suse.com
- avoid using reserved c++ words
- fix typo in Makefile
- fix some compiler warnings
- prepare for obs auto-submission
- add VERSION file back
- 1.5
* Mon Jan 31 2011 snwint@suse.de
- better invalid code detection
- fix instruction log for some instructions
* Thu Sep 23 2010 snwint@suse.de
- create VERSION and changelog from git repo
- log message
- don't use 'i386'
- properly decode all descriptor types
* Wed Jun 10 2009 snwint@suse.de
- avoid that error in future
* Tue Jun  9 2009 coolo@novell.com
- fix typo
* Tue Jun  9 2009 snwint@suse.de
- export only API functions in shared lib
* Wed Apr  8 2009 snwint@suse.de
- upgraded to version 1.0
- align to package conventions
